<template xmlns:v-slot="http://www.w3.org/1999/XSL/Transform">
    <v-layout align-center justify-center>
        <v-card>
            <v-card-title primary-title>
                <v-layout column>
                    <v-form
                            ref="form"
                            lazy-validation
                            id="login_form"
                            method="POST"
                            @submit.prevent="login"
                    >
                        <v-text-field
                                :value="username"
                                label="Username"
                                required
                                text-align="right"
                                name="username"
                                @input="setUsername"
                                data-vv-name="username"
                        ></v-text-field>
                        <v-text-field
                                :value="password"
                                :type="showPassword ? 'text' : 'password'"
                                :append-icon="showPassword ? 'visibility' : 'visibility_off'"
                                label="Password"
                                required
                                data-vv-name="password"
                                name="password"
                                @input="setPassword"
                                text-align="right"
                                @click:append="togglePassword"
                        ></v-text-field>


                        <p style="color:red" v-show="errorMessage">
                            خطا! نام کاربری یا رمز عبور شما اشتباه است
                        </p>

                        <v-layout row align-center justify-center>

                            <v-btn
                                    fill-width
                                    color="success"
                                    type="submit"
                            >
                                <v-progress-circular v-show="this.pending === true" indeterminate
                                                     color="white"></v-progress-circular>
                                <div v-show="this.pending === false">{{'ورود'}}</div>
                            </v-btn>

                            <v-btn
                                    fill-width
                                    color="success"
                                    @click="forgetPassword"
                            >
                                <div v-show="this.pending === false">{{'فراموشی'}}</div>
                            </v-btn>
                        </v-layout>
                    </v-form>
                </v-layout>
            </v-card-title>
        </v-card>
    </v-layout>
</template>
<script>
    import {mapActions, mapMutations, mapState} from "vuex";
    export default {
        name: "login",
        methods: {
            ...mapMutations({
                setUsername: 'login/setUsername',
                setPassword: 'login/setPassword',
                togglePassword: 'login/togglePassword',
                loginMode: 'login/loginMode',
                signUpMode: 'login/signUpMode',
                toggleMode: 'login/toggleMode'
            }),
            ...mapActions({
                login: 'login/login',
                forgetPassword:'login/forgetPassword'
            }),
        },
        computed: {
            ...mapState({
                isLoggedIn: state => state.login.isLoggedIn,
                pending: state => state.login.pending,
                showPassword: state => state.login.showPassword,
                password: state => state.login.password,
                username: state => state.login.username,
                mode: state => state.login.mode,
                errorMessage: state => state.login.errorMessage,

            })
        }
    }
</script>
<style scoped>
</style>
